// inject Trampoline manually, so that trampoline doesn't run any IIFEs
(function() {
  var loadScript = function(src, onLoad) {
    var script = document.createElement('script');
    script.addEventListener('load', onLoad);
    script.src = src;
    document.head.appendChild(script);
    return script;
  }

  var trampolineHelpLoaded = function() {
    Trampoline.init({
      app_name: 'Kart Kingdom',
      path: "trampoline/dist/",
      parents: true,
      buttons: {
        help: {
          text: 'Help',
          icon: 'help',
          state: 'help'
        }
      }
    });
  
    Trampoline.events.addEventListener('SPLASH_DONE', function() {
      Trampoline.help.init({});
      loadParentsContent();
    });

    // Wire up the back button listener
    function backButtonAppExit(e) {
      if( !!Trampoline && /(main|splash|init)/i.test(Trampoline.state.current.name) ){
           e.preventDefault();
           navigator.app.exitApp();
       }
    }

    document.addEventListener("backbutton", backButtonAppExit, false);
  };  
  
  var trampolineLoaded = function() {
    loadScript('cordova-scripts/trampoline-help.js', trampolineHelpLoaded);
  };
  
  var loadParentsContent = function(){
    Trampoline.util.fetch('parents.html', function(data) {
        
    var parentsContentContainer = Trampoline.container.querySelector('section.parents .content-wrapper .content');
    parentsContentContainer.innerHTML = data;
    });
  }; 

  document.addEventListener('deviceready', function() {
    window.cordova.device = window.device;
    
    loadScript('trampoline/dist/trampoline.js', trampolineLoaded);
  });
})();
